package awais.instagrabber.adapters.viewholder;

import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;

import androidx.annotation.NonNull;

import awais.instagrabber.R;
import thoughtbot.expandableadapter.models.ExpandableGroup;
import thoughtbot.expandableadapter.viewholders.GroupViewHolder;

public class GroupHeaderHolder extends GroupViewHolder {
    private final TextView title;
    private final ImageView arrow;

    public GroupHeaderHolder(final View itemView) {
        super(itemView);
        title = itemView.findViewById(android.R.id.text1);
        arrow = itemView.findViewById(R.id.collapsingArrow);
        title.setBackgroundColor(0x80_1565C0);
    }

    public void setTitle(@NonNull final ExpandableGroup<?> group) {
        title.setText(group.getTitle());
    }

    @Override
    public void expand() {
        arrow.setImageResource(R.drawable.collapse);
    }

    @Override
    public void collapse() {
        arrow.setImageResource(R.drawable.expand);
    }
}